ZZIP_DIR_OPEN(3)

NAME
zzip_dir_open, zzip_dir_open_ext_io, zzip_dir_read - ...

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dir_open((zzip_char_t * filename, zzip_error_t * e));

ZZIP_DIR * zzip_dir_open_ext_io((zzip_char_t * filename, zzip_error_t * e, zzip_strings_t * ext, zzip_plugin_io_t io));

int zzip_dir_read((ZZIP_DIR * dir, ZZIP_DIRENT * d));

DESCRIPTION

the zzip_dir_open_ext_io function uses explicit ext and io instead of the internal defaults. Setting these to zero is equivalent to zzip_dir_open

fills the dirent-argument with the values and increments the read-pointer of the dir-argument.

returns 0 if there no entry (anymore).

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) 1999,2000,2001,2002,2003 Guido Draheim All rights reserved, use under the restrictions of the Lesser GNU General Public License or alternatively the restrictions of the Mozilla Public License 1.1